<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Inertia\Inertia;

class MediaController extends Controller
{
    public function index()
    {
        $directory = public_path() . '/storage/uploads/';
        $files = [];
        if (is_dir($directory)) {
            $files = scandir($directory);

            $files = array_diff($files, ['.', '..']);

        }
        $files = array_reverse([...$files]);
        return Inertia::render('Admin/Media', compact('files'))->title('Uploads');
    }

    public function upload(Request $request)
    {
        $file = $request->file('file');
        $path = $file->storeAs(
            'uploads',
            time() . $file->getClientOriginalName(),
            'public'
        );
    }

    public function delete(Request $request)
    {
        $filePath = public_path() . '/storage/uploads/' . $request->filename;
        if (file_exists($filePath)) {
            unlink($filePath);
        }
    }
}
