<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Inertia\Inertia;

class UserController extends Controller
{
    public function index()
    {
        return Inertia::render('Admin/Users')
            ->title('Users');
    }

    public function get(Request $request)
    {
        $data = [];

        if ($request->User_id) {
            $data = User::find($request->user_id);
        } else {
            if ($request->key) {
                // Perform a search on the 'User' model using the search method
                $data = User::search($request->key)->paginate($request->perpage);
            } else {
                // If no search key is provided, return all records or apply other conditions.
                $data = User::paginate($request->perpage);
            }
        }

        return response()->json($data);
    }
}
