import { forwardRef } from "react";
export default forwardRef(function Section(
    { title, className, children, ...props },
    ref
) {
    return (
        <section
            className={
                "bg-white dark:bg-gray-800 p-5  rounded-md border shadow-sm "
            }
            {...props}
            ref={ref}
        >
            {title && <header>{title}</header>}
            <article className={(title && "mt-5") + " " + className}>
                {children}
            </article>
        </section>
    );
});
