import { useState } from "react";
import ToggleSwitch from "./ToggleSwitch";
import { forwardRef } from "react";
export default forwardRef(function ToggleNotificationPermission(
    { auth, className, ...props },
    ref
) {
    function toggleNotificationPermission() {
        axios
            .post("/api/toggle-notificaion-permission")
            .then((res) => {
                setAllowPushNotificaion(res.data ? res.data : false);
            })
            .catch((error) => console.error(error));
    }

    const [allowPushNotificaion, setAllowPushNotificaion] = useState(
        auth.user.notify
    );
    return (
        <ToggleSwitch
            checked={allowPushNotificaion}
            onClick={toggleNotificationPermission}
            className={className}
            {...props}
            ref={ref}
        />
    );
});
