import { useState } from "react";
import { forwardRef } from "react";
import { useId } from "react";
export default forwardRef(({ checked, onChange, className, ...props }, ref) => {
    const uniqid = useId();
    const [isChecked, setIsChecked] = useState(checked);

    const toggle = () => {
        setIsChecked(!isChecked);
        onChange && onChange(!isChecked);
    };

    return (
        <button
            className={
                "relative inline-block w-12 align-middle select-none transition duration-200 ease-in" +
                " " +
                className
            }
        >
            <input
                {...props}
                id={uniqid}
                ref={ref}
                type="checkbox"
                className="checked:ml-7 toggle-checkbox absolute block w-6 h-6 rounded-full bg-white border-4 appearance-none cursor-pointer transition-all"
                checked={isChecked}
                onChange={toggle}
            />
            <label
                htmlFor={uniqid}
                className={`toggle-label block overflow-hidden h-6 rounded-full bg-gray-300 cursor-pointer`}
            ></label>
        </button>
    );
});
