import { Link } from "@inertiajs/react";
import Layout from "@/Layouts/Layout";
import LoadMorePosts from "@/Components/LoadMorePosts";

export default function Posts({ auth, initialposts, params, topics }) {
    return (
        <Layout user={auth.user} header="Posts">
            <div className="flex flex-wrap gap-3 mt-10">
                {topics.map((topic) => (
                    <Link
                        key={topic.id}
                        href={"/?topic=" + topic.name}
                        className="block rounded-xl  px-3 py-1 font-semibold uppercase tracking-widest text-sm"
                        style={{
                            borderColor:
                                params.topic == topic.name ? topic.color : "",
                            borderWidth:
                                params.topic == topic.name ? "1px" : "",
                            backgroundColor:
                                params.topic == topic.name
                                    ? topic.color
                                    : "#f8f8f8",
                        }}
                    >
                        {topic.name}
                    </Link>
                ))}
            </div>

            {initialposts.data.length ? (
                <LoadMorePosts auth={auth} initialposts={initialposts} />
            ) : (
                <div className="text-center mt-20">No posts found</div>
            )}
        </Layout>
    );
}
