import "./bootstrap";
import "../css/app.css";
import "joydeep-react-datatable/src/datatable.css";
import { createRoot } from "react-dom/client";
import { createInertiaApp } from "@inertiajs/react";
import { resolvePageComponent } from "laravel-vite-plugin/inertia-helpers";
import { inertiaTitle } from "inertia-title";
import { AlertBox } from "./Components/Alert";

inertiaTitle();
const appName = import.meta.env.VITE_APP_NAME || "Laravel";

createInertiaApp({
    title: (title) => `${title} - ${appName}`,
    resolve: (name) =>
        resolvePageComponent(
            `./Pages/${name}.jsx`,
            import.meta.glob("./Pages/**/*.jsx")
        ),
    setup({ el, App, props }) {
        const root = createRoot(el);

        root.render(
            <>
                <App {...props} />
                <AlertBox />
            </>
        );
    },
    progress: {
        color: "#4B5563",
    },
});
