<?php

use App\Http\Controllers\NotificationController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\ProjectController;
use App\Http\Controllers\TopicController;
use App\Http\Controllers\UserController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
 */

Route::middleware('auth:sanctum')->group(function () {

    Route::get('/user', function (Request $request) {
        return $request->user();
    });

    Route::post('/save-device-token/{token}', function (Request $request) {
        $user = Auth::user();
        if ($user) {
            $user->device_token = $request->token;
            $user->save();
        }
    });

    Route::post('/toggle-notificaion-permission', function () {
        $user = Auth::user();
        $user->notify = !$user->notify;
        $user->save();
        return $user->notify;
    });

    Route::post('/notifications', function (Request $request) {
        $user = Auth::user();
        foreach ($user->unreadNotifications as $notification) {
            $notification->markAsRead();
        }
        return response()->json($user->notifications()->paginate());
    });

    Route::post('/unread-notifications-count', function (Request $request) {
        $user = Auth::user();
        return response()->json(count($user->unreadNotifications));
    });

});

Route::post('/posts', [PostController::class, 'get']);

Route::post('/topics', [TopicController::class, 'get']);

Route::post('/users', [UserController::class, 'get']);

Route::post('/projects', [ProjectController::class, 'get']);

Route::post('/SendNotifications', [NotificationController::class, 'compose'])->name('compose');
